Update Member Balance Of A Currency
Update the balance of a DRIP user in a realm by their drip id and currency id
PATCH
/
api
/
v1
/
realms
/
{realmId}
/
members
/
{dripId}
/
balance
Update Member Balance Of A Currency
curl --request PATCH \
--url https://api.drip.re/api/v1/realms/{realmId}/members/{dripId}/balance \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"currencyId": "<string>",
"initiatorId": "<string>"
}
'import requests
url = "https://api.drip.re/api/v1/realms/{realmId}/members/{dripId}/balance"
payload = {
"amount": 123,
"currencyId": "<string>",
"initiatorId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123, currencyId: '<string>', initiatorId: '<string>'})
};
fetch('https://api.drip.re/api/v1/realms/{realmId}/members/{dripId}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"dripId": "<string>",
"balance": 123,
"currencyId": "<string>"
}{
"error": "<string>"
}Authorizations
API Key
Path Parameters
Pattern:
^[0-9a-fA-F]{24}$Pattern:
^[0-9a-fA-F]{24}$Was this page helpful?
Previous
Batch Update Member Balance Of A CurrencyBatch update the balances of multiple DRIP users in a realm by their drip ids and currency id. All updates are applied in a single transaction, so if any update fails, the entire batch will fail.
Next
⌘I
Update Member Balance Of A Currency

